"use strict";
/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlreadyBootedException = void 0;
const utils_1 = require("@secjs/utils");
class AlreadyBootedException extends utils_1.Exception {
    constructor(resource) {
        const content = `The resource "${resource}" is already booted.`;
        super(content, 500, 'ALREADY_BOOTED_ERROR', `Try calling "shutdown${resource}" method to shutdown this resource`);
    }
}
exports.AlreadyBootedException = AlreadyBootedException;
